Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
UTF8< CharType > Struct Template Reference

UTF-8 encoding. More...

`#include <encodings.h>`

Inheritance diagram for UTF8< CharType >:

## Public Types
typedef CharType | Ch

## Static Public Member Functions
template<typename OutputStream >
static void | Encode (OutputStream &os, unsigned codepoint)
template<typename InputStream >
static bool | Decode (InputStream &is, unsigned *codepoint)
template<typename InputStream , typename OutputStream >
static bool | Validate (InputStream &is, OutputStream &os)
static unsigned char | GetRange (unsigned char c)
template<typename InputByteStream >
static CharType | TakeBOM (InputByteStream &is)
template<typename InputByteStream >
static Ch | Take (InputByteStream &is)
template<typename OutputByteStream >
static void | PutBOM (OutputByteStream &os)
template<typename OutputByteStream >
static void | Put (OutputByteStream &os, Ch c)

## Detailed Description

### template<typename CharType = char>
struct rapidjson::UTF8< CharType >

UTF-8 encoding.

http://en.wikipedia.org/wiki/UTF-8 http://tools.ietf.org/html/rfc3629

Template Parameters

  CharType | Code unit for storing 8-bit UTF-8 data. Default is char.

## Member Typedef Documentation

typedef CharType Ch

## Member Function Documentation

static bool Decode | ( | InputStream & | is,
|  | unsigned * | codepoint
| ) |  |
| inline static

static void Encode | ( | OutputStream & | os,
|  | unsigned | codepoint
| ) |  |
| inline static

static unsigned char GetRange | ( | unsigned char | c | ) |
| inline static

static void Put | ( | OutputByteStream & | os,
|  | Ch | c
| ) |  |
| inline static

static void PutBOM | ( | OutputByteStream & | os | ) |
| inline static

static Ch Take | ( | InputByteStream & | is | ) |
| inline static

static CharType TakeBOM | ( | InputByteStream & | is | ) |
| inline static

static bool Validate | ( | InputStream & | is,
|  | OutputStream & | os
| ) |  |
| inline static

The documentation for this struct was generated from the following file:

- persistence/rapidjson/include/rapidjson/encodings.h